//  Mie-Scattering Experiment for the Classroom Manufactured by 3D Printing
//  Christian Scholz, Achim Sack, Michael Heckel, and Thorsten Pöschel
//  2016
//
//  http://www.mss.cbi.fau.de/Mie-experiment/
//  Institute for Multiscale Simluation
//  Naegelsbachstr. 49b
//  91054 Erlangen
//  Germany
//
//  These files represent parts for the Mie-Scattering Experiment Mount
//  This part houses the Arduino and servers as a base for the whole experiment.
//
//  License - Creative Commons Attribution-ShareAlike 4.0

// increase face resolution of round parts.
$fn=50;
union(){
    difference(){    
    // bottom plate
	union(){
	translate([20,0,0]) cylinder(r=30,h=6);
	translate([20,-30,0]) cube([60,60,6]); 
	translate([80,-20,0]) cylinder(r=10,h=6);
	translate([80,20,0]) cylinder(r=10,h=6);
	translate([80,-20,0]) cube([10,40,6]);
	}
  translate([21.5,-45.5/2,2]) minkowski(){ 
    cube([57.5,45.5,3.0]);
      cylinder(r=5,h=0.05);
  }
  translate([15,-55.5/2,4]) cube([69.5,55.5,3.0]);
// holes  
  translate([16.5+53.5,26.5-2,0]) cylinder(r=1.5,h=6);
} 
// wall front
translate([20,0,2]) difference(){
    cylinder(r=30,h=15.4);
    cylinder(r=27,h=15.5);
    translate([-5,-30,0]) cube([35,60,21]);
    translate([-26,0,0]) cylinder(r=2,h=15.4);
}
// screws front
translate([-6,0,2]) difference(){
    cylinder(r=4,h=15.4);
    cylinder(r=1.5,h=15.4);
}
// wall back
translate([84.5,-3,2]) difference(){
    cube([5.5,16,15.4]);
    translate([2.75,8,0]) cylinder(r=1.5,h=21);
}
translate([18,26.5-35.5,0]) cylinder(r1=2,r2=1,h=8);
}
