//  Mie-Scattering Experiment for the Classroom Manufactured by 3D Printing
//  Christian Scholz, Achim Sack, Michael Heckel, and Thorsten Pöschel
//  2016
//
//  http://www.mss.cbi.fau.de/Mie-experiment/
//  Institute for Multiscale Simluation
//  Naegelsbachstr. 49b
//  91054 Erlangen
//  Germany
//
//  These files represent parts for the Mie-Scattering Experiment Mount
//  This part holds the sample-holder and main servo.
//
//  License - Creative Commons Attribution-ShareAlike 4.0

// increase face resolution of round parts.
$fn=50;
union(){
    difference(){    
    // floor plate
	union(){
	translate([20,0,0]) cylinder(r=30,h=5);
	translate([20,-30,0]) cube([60,60,5]); 
	translate([80,-20,0]) cylinder(r=10,h=5);
	translate([80,20,0]) cylinder(r=10,h=5);
	translate([80,-20,0]) cube([10,40,5]);
	}
//                                  }
translate([18.5,-25,-20]) minkowski(){
    cube([50,2.5,30]);
    cylinder(r=1,h=1);
}
translate([18.5,-25+48,-20]) minkowski(){
    cube([39,2.5,30]);
    cylinder(r=1,h=1);
} 
}               
// socket for sample-arm
    translate([4, -5.2, 5.2]) {
        cube ([10.4, 10.4, 10.4]);
                                } 
// rotation & translation of socket
    rotate([0, 0, 90]){
        translate([-74.5, -56, 0]){ 
// pins for servo & upper recess for cables
            difference(){ 
        translate([79.25, -22, 30]){
            cylinder (h=5, d1=4, d2=3);
                                    }
        translate([71, -25, 30]){
            cube([6.5, 7.25, 5]);
                                   } 
                        }
        difference(){
            translate([69.25, -22, 30]){
                cylinder (h=5, d1=4, d2=3);
                                        }
            translate([71, -25, 30]) {
                cube([6.5, 7.25, 5]);
                                        } 
                    }    
            translate([79.25, 27, 30]){
                cylinder (h=5, d1=4, d2=3);
                                        }
            translate([69.25, 27, 30]){
                cylinder (h=5, d1=4, d2=3);
                                        }
        difference(){   
// translating the socket
            translate([62.5, -25, 0]){
// socket
                cube ([24, 55, 30]);
                                        }
// recess (1) of socket
            translate([64,-18, 5]){
                cube([21, 41, 25]);
                                        }
// recess (2) of socket
            translate([62.5,-8, 5]){
                cube([24, 20, 25]);
                                        }
// recess for cables
            translate([71, -25, 5]){
                cube([6.5, 7.25, 25]);
                                    } 
                    } 
}
}

}
