//  Mie-Scattering Experiment for the Classroom Manufactured by 3D Printing
//  Christian Scholz, Achim Sack, Michael Heckel, and Thorsten Pöschel
//  2016
//
//  http://www.mss.cbi.fau.de/Mie-experiment/
//  Institute for Multiscale Simluation
//  Naegelsbachstr. 49b
//  91054 Erlangen
//  Germany
//
//  These files represent parts for the Mie-Scattering Experiment Mount
//  This part holds the photodiode and the servo for the polarizer
//
//  License - Creative Commons Attribution-ShareAlike 4.0

// resolution for circular parts
$fn=100;
difference() {
translate ([0,0,5]) {
rotate ([0,180,0]) {
translate ([-10,0,0]) {
rotate([0,-90,0]) {
difference () {
difference () {
translate ([5,0,0]) rotate ([0,270,0]) cube ([50,50,5]);
// round recess bottom
translate ([-5,25,17.5]) rotate ([0,90,0])cylinder (r=3 , h=40);

}
// rectangular recess
translate ([-2.5,8,27]) cube ([10,23,12.5]);
//recess for screws
translate ([-2.5,5,33.25]) rotate([0,90,0]) cylinder(r=1.5,h=23);
translate ([-2.5,34,33.25]) rotate([0,90,0]) cylinder(r=1.5,h=23);
}
difference () { // holder for photodiode
translate ([-3.9,25,17.5]) rotate ([0,90,0])cylinder (r=3.5 , h=4.1);
translate ([-6,25,17.5]) rotate ([0,90,0])cylinder (r=3 , h=41);

}
}
}
translate ([-10,6,0])cube ([5,38,5]);   // bottom attachment
translate ([-33,15,3]) cube ([10,10,2]);
translate ([-33,25,3]) cube ([10,10,2]);
}
}

// cut out round edges
difference(){
translate ([55,0,0]) cube ([5,50,6]);
translate ([55,5,0]) cube ([5,40,6]);
translate ([55,5,0]) cylinder(h=6,r=5);
translate ([55,45,0]) cylinder(h=6,r=5);
}
translate ([5,0,3])cube ([5,50,2.1]);
// cut out hole for photodiode
translate ([27.5,25,-10]) rotate ([0,0,0])cylinder (r=2.5 , h=41);
// cut out calibration rails
translate([27.5,0,-41.5]) rotate([45,0,90]) cube([21,30,30]);
translate([27.5,29,-41.5]) rotate([45,0,90]) cube([21,30,30]);
}