//  Mie-Scattering Experiment for the Classroom Manufactured by 3D Printing
//  Christian Scholz, Achim Sack, Michael Heckel, and Thorsten Pöschel
//  2016
//
//  http://www.mss.cbi.fau.de/Mie-experiment/
//  Institute for Multiscale Simluation
//  Naegelsbachstr. 49b
//  91054 Erlangen
//  Germany
//
//  These files represent parts for the Mie-Scattering Experiment Mount
//  This part serves as a mount for the detector on the main servo
//
//  License - Creative Commons Attribution-ShareAlike 4.0

// increase face resolution for round parts
$fn=100;
difference(){
difference () {
difference () {
//
difference(){
union (){
cube ([50,50,5]);
//-----------mounting gear for servo
translate ([6,25,3.1])
{
union(){
difference() 
{
    cylinder(r=4.1,h=4.9);
    cylinder(r=3.17,h=5.1);
}
for (i=[1:1:25])
{
rotate([0,0,3.3+i*360/25])
translate([0,3.35,4.9/2])
scale([1.275,1,1]) rotate([0,0,45]) cube([0.7,0.7,4.9],center=true);
}
}
}
//-----------------------------------------------------
    difference(){
    translate ([6,25,6.9]) rotate ([0,0,0])  cylinder (r1=6 , r2=4.05, h=4 , center=true);
        translate ([6,25,6.9]) rotate ([0,0,0])  cylinder (r=3.8 , h=4 , center=true);
    }
    translate([8,22,5]) rotate([90,45,45]) cylinder(r1=3.5,r2=1,h=10,$fn=4);
    translate([9.25,25,5]) rotate([90,45,90]) cylinder(r1=3.5,r2=1,h=10,$fn=4);
    translate([8,28,5]) rotate([90,45,135]) cylinder(r1=3.5,r2=1,h=10,$fn=4);
}
translate([0,0,8.0]) cube ([50,50,2]);
}
// hole for screw
 translate ([6,25,5]) rotate ([0,0,0])  cylinder (r=1.4 , h=20 , center=true);
translate ([6,25,0.5]) rotate ([0,0,0])  cylinder (r1=0.1,r1=4 , h=3 , center=true);
}
union () {
translate ([45,5,0]) cube ([3,40,10]);
}
}

difference(){
translate([0,0,0]) cube([25,50,5]);
translate([25,25,0]) cylinder(h=5,r=25);
}
}

